Subject: Re: [PATCH net-next 3/5] net: txgbe: Support to setup link

From: Andrew Lunn <[email-masked]>
Date: Tue, 8 Nov 2022 22:03:07 +0100

On Tue, Nov 08, 2022 at 07:19:05PM +0800, Mengyuan Lou wrote:
> From: Jiawen Wu <[email-masked]>
> 
> Get link capabilities, setup MAC and PHY link, and support to enable
> or disable Tx laser.

You should probably take a look in driver/net/pcs, drivers/phy/ for
configuring low level SERDES properties, and
driver/net/phy/phylink*. You need to use these frameworks, not invent
your own.

	Andrew